﻿using C1.TextParser;
using System;
using System.Collections.Generic;
using System.IO;

namespace ProductDetailFetcher.Amazon
{
    public class AmazonHtmlExtractor : HtmlExtractor
    {
        public AmazonHtmlExtractor(Stream stream, IEnumerable<XPathObject> xPaths) : base(stream)
        {
            foreach (var xPath in xPaths)
            {
                switch(xPath.Name)
                {
                    case "Rating":
                        AddPlaceHolder(xPath.Name, xPath.XPath, 0, 3);
                        break;

                    default:
                        AddPlaceHolder(xPath.Name, xPath.XPath);
                        break;
                }                
            }
        }
    }
}
