﻿using HtmlAgilityPack;
using System.Collections.Generic;
using System.Linq;

namespace ProductDetailFetcher
{
    public class XPathObject : BaseXPathObject
    {        
        public XPathMatchValidator Validator { get; set; }
        public bool HasValidator => Validator != null;

        #region ctors
        public XPathObject() { }

        public XPathObject(string name, string xPath)
        {
            Name = name;
            XPath = xPath;
        }

        public XPathObject(string name, string xPath, XPathMatchValidator validator)
        {
            Name = name;
            XPath = xPath;
            Validator = validator;
        }
        #endregion
    }
}
