﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProductDetailFetcher
{
    public interface IXPathPool
    {
        IEnumerable<XPathObject> GetBestMatchingXPaths(string html);
        void AddXPathToPool(XPathObject xPathObj);
        void AddXPathsToPool(IEnumerable<XPathObject> xPathObjs);
        void Clear();
    }
}
