﻿using C1.TextParser;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace ProductDetailFetcher.Amazon
{
    public class AmazonProductDetailsFetcher : BaseProductDetailsFetcher
    {
        public AmazonProductDetailsFetcher() : base(Util.AmazonXPathPool, Util.AmazonConfig) { }

        protected override IExtractor CreateExtractor(IEnumerable<XPathObject> xPathObjects, string html)
        {
            return new AmazonHtmlExtractor(html.ToStream(), xPathObjects);
        }
    }
}